%global momorel 12
%global zip_version 23
%global zcrypt_version 29

Summary: A file compression and packaging utility compatible with PKZIP.
Name: zip

Version: 2.3
Release: %{momorel}m
License: BSD
Group: Applications/Archiving
URL: http://www.info-zip.org/

%NoSource 0 ftp://ftp.info-zip.org/pub/infozip/src/zip%{zip_version}.tar.gz 5206a99541f3b0ab90f1baa167392c4f
%NoSource 1 ftp://ftp.info-zip.org/pub/infozip/src/zcrypt%{zcrypt_version}-exportable.zip 0c969ba1661183b041a142945ed2710e

Patch0: zip23.patch
# Patch1: zip.fhs.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: unzip
BuildPreReq: rpm-build >= 4.0.4-56m

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

%prep
%setup -q -a 1

%patch0 -p1 -b .zip
# %patch1 -p1

%build
%append _make_args -- -f unix/Makefile
%make RPM_OPT_FLAGS="%{optflags}" generic_gcc

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_mandir}/man1

%append _makeinstall_args -- -f unix/Makefile
%makeinstall MANDIR=%{buildroot}%{_mandir}/man1

%__chmod 755 %{buildroot}%{_bindir}/*

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* BUGS CHANGES MANUAL LICENSE TODO WHATSNEW WHERE proginfo/algorith.txt
%{_bindir}/*
%{_mandir}/man1/zip.1*

%changelog
* Sun Oct 26 2003 Kenta MURATA <muraken2@nifty.com>
- (2.3-13m)
- change source url.
- pretty spec file.
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft).

* Fri Dec 6 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (2.3-12m)
- Apply ftp://ftp.freesoftware.com/pub/infozip/src/zcrypt29.tar.gz patch. Now zip support encryption with -e or -P

* Mon Oct 7 2002 Nguyen Hung Vu <vuhung@momonga-linux.org
- (2.3-11m)
- Nothing changed, just testing my first commit

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3-10k)
- modified spec file and errased zip.fhs.patch for compatibility

* Fri Nov 10 2000 Kenichi Matsubara <m@kondara.org>
- bugfix Source:.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Apr 03 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (2.3-4)

* Fri Feb 11 2000 Tenkou N. Hattori <tnh@kondara.org>
- remove /usr/bin/zipcloak.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix some perms

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update to 2.3

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
